org.apache.fontbox.ttf.table.common

## Class ScriptTable

- java.lang.Object
- - org.apache.fontbox.ttf.table.common.ScriptTable

    public class ScriptTable
    extends Object

This class models the Script tags in the Open Type Font specs.

Author:
  Palash Ray

### Constructor Summary

Constructors
Constructor and Description
`ScriptTable(LangSysTable defaultLangSysTable, Map<String,LangSysTable> langSysTables)`

### Method Summary

All Methods Instance Methods Concrete Methods
`LangSysTable` `getDefaultLangSysTable()`
`Map<String,LangSysTable>` `getLangSysTables()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScriptTable

    public ScriptTable(LangSysTable defaultLangSysTable,
                       Map<String,LangSysTable> langSysTables)

### Method Detail

#### getDefaultLangSysTable

    public LangSysTable getDefaultLangSysTable()

#### getLangSysTables

    public Map<String,LangSysTable> getLangSysTables()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`